org.opencv.imgproc

## Class CLAHE

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.imgproc.CLAHE

-     public class CLAHE
      extends Algorithm

  Base class for Contrast Limited Adaptive Histogram Equalization.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CLAHE(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CLAHE` | `__fromPtr__(long addr)`
    `void` | `apply(Mat src, Mat dst)` Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization.
    `void` | `collectGarbage()`
    `protected void` | `finalize()`
    `double` | `getClipLimit()`
    `Size` | `getTilesGridSize()`
    `void` | `setClipLimit(double clipLimit)` Sets threshold for contrast limiting.
    `void` | `setTilesGridSize(Size tileGridSize)` Sets size of grid for histogram equalization.

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CLAHE

          protected CLAHE(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static CLAHE __fromPtr__(long addr)

    - #### getTilesGridSize

          public Size getTilesGridSize()

    - #### getClipLimit

          public double getClipLimit()

    - #### apply

          public void apply(Mat src,
                            Mat dst)

      Equalizes the histogram of a grayscale image using Contrast Limited Adaptive Histogram Equalization.
      Parameters:
        `src` - Source image of type CV_8UC1 or CV_16UC1.
        `dst` - Destination image.

    - #### collectGarbage

          public void collectGarbage()

    - #### setClipLimit

          public void setClipLimit(double clipLimit)

      Sets threshold for contrast limiting.
      Parameters:
        `clipLimit` - threshold value.

    - #### setTilesGridSize

          public void setTilesGridSize(Size tileGridSize)

      Sets size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles.
      Parameters:
        `tileGridSize` - defines the number of tiles in row and column.

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8